std::scoped_lock< _MutexTypes >(3cxx)

NAME
std::scoped_lock< _MutexTypes > - A scoped lock type for multiple lockable objects.

SYNOPSIS

#include <mutex>

  Public Member Functions

scoped_lock (_MutexTypes &... __m)
scoped_lock (adopt_lock_t, _MutexTypes &... __m) noexcept
scoped_lock (const scoped_lock &)=delete
scoped_lock & operator= (const scoped_lock &)=delete

Detailed Description

  template<typename... _MutexTypes>
class std::scoped_lock< _MutexTypes >"A scoped lock type for multiple lockable objects.

A scoped_lock controls mutex ownership within a scope, releasing ownership in the destructor.

Author

Generated automatically by Doxygen for libstdc++ from the source code.